package com.liangjian.dataplatform.member.entity.token;

import java.util.Date;
import java.util.Map;

/**
 * @Author: 黄子奇
 * @Date: 2019/10/8 15:38
 *
 * 从dotnet里获取的jwttoken的payload
 */
public class JwtToken {
    private Long roleid;
    private String rolename;
    private String username;
    private Long userid;
    private String CurrentEmployeeID;
    private String CurrentDeptID;
    private Date CurrentUserLastLoginTime;
    private Map<String,Object> permission;
    private String wxresponse;

    public Long getRoleid() {
        return roleid;
    }

    public void setRoleid(Long roleid) {
        this.roleid = roleid;
    }

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Long getUserid() {
        return userid;
    }

    public void setUserid(Long userid) {
        this.userid = userid;
    }

    public String getCurrentEmployeeID() {
        return CurrentEmployeeID;
    }

    public void setCurrentEmployeeID(String currentEmployeeID) {
        CurrentEmployeeID = currentEmployeeID;
    }

    public String getCurrentDeptID() {
        return CurrentDeptID;
    }

    public void setCurrentDeptID(String currentDeptID) {
        CurrentDeptID = currentDeptID;
    }

    public Date getCurrentUserLastLoginTime() {
        return CurrentUserLastLoginTime;
    }

    public void setCurrentUserLastLoginTime(Date currentUserLastLoginTime) {
        CurrentUserLastLoginTime = currentUserLastLoginTime;
    }

    public Map<String, Object> getPermission() {
        return permission;
    }

    public void setPermission(Map<String, Object> permission) {
        this.permission = permission;
    }

    public String getWxresponse() {
        return wxresponse;
    }

    public void setWxresponse(String wxresponse) {
        this.wxresponse = wxresponse;
    }
}
